shishi_kdcreq_sendrecv(3)

NAME
shishi_kdcreq_sendrecv - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdcreq_sendrecv(Shishi * handle, Shishi_asn1 kdcreq, Shishi_asn1 * kdcrep);

ARGUMENTS

Shishi * handle
    Shishi library handle created by shishi_init().

Shishi_asn1 kdcreq
    Input variable with a prepared AS-REQ.

Shishi_asn1 * kdcrep
    Output pointer variable returning received AS-REP.

DESCRIPTION
Sends a request to KDC, and receives the response. The provided AS-REQ, in kdcreq, sets all data for the request. On reception the reply is decoded as AS-REP into kdcrep.

RETURN VALUE
Return code is SHISHI_OK on success, SHISHI_KDC_TIMEOUT on timeouts, SHISHI_ASN1_ERROR on translation errors, and SHISHI_GOT_KRBERROR for other corruptions.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.